summaryrefslogtreecommitdiffstats
path: root/tests/data_plane/vpp_lite_topo/odl_utils.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/data_plane/vpp_lite_topo/odl_utils.sh')
-rw-r--r--tests/data_plane/vpp_lite_topo/odl_utils.sh7
1 files changed, 7 insertions, 0 deletions
diff --git a/tests/data_plane/vpp_lite_topo/odl_utils.sh b/tests/data_plane/vpp_lite_topo/odl_utils.sh
index 8a2b8bc..44064c0 100644
--- a/tests/data_plane/vpp_lite_topo/odl_utils.sh
+++ b/tests/data_plane/vpp_lite_topo/odl_utils.sh
@@ -14,3 +14,10 @@ function odl_clear_all {
curl -X DELETE "http://${ODL_IP}:${ODL_PORT}/restconf/config/odl-mappingservice:mapping-database" \
-u ${ODL_USER}:${ODL_PASSWD}
}
+
+function check_odl_running {
+ if [ -z "`netstat -tunlp | grep 8181`" ] ; then
+ echo "ODL is not running!"
+ exit 1
+ fi
+}